import 'package:functions/src/core/data/models/entities/set_pedometer_request_entity.dart';
import 'package:functions/src/core/domain/repositories/functions_repository.dart';
import 'package:functions/src/features/activity_meter/domain/set_pedometer_use_case.dart';

class SetPedometerUseCaseImpl implements SetPedometerUseCase {
  SetPedometerUseCaseImpl(this._repository);

  final FunctionsRepository _repository;

  @override
  Future<void> setPedometer({required SetPedometerRequestEntity request}) {
    return _repository.setPedometer(request: request);
  }
}
